// -*- mode: C++; c-file-style: "Stroustrup" -*-
//
// This file is part of krot,
// a program for the simulation, assignment and fit of HRLIF spectra.
//
// Copyright (C) 1998 Jochen Kpper
//
// $Id: constants.cc,v 1.1 1998/09/15 10:42:48 jochen Exp $


#include "constants.h"



const double Constants::eps()
{
    static bool ready = false;
    static double prec = 1e-15;
    if( ! ready ) {
	if( 1.0 + prec <= 1.0) {
	    prec = 1e-7;
	    if( 1.0 + prec <= 1.0)
		prec = 1.0;
	}
	double test = prec;
	while( 1.0 + test > 1.0 )
	    test = ( prec = test ) / 2;
	ready = true;
    }
    return prec;
}
